Bug 174513 - Enhancement, remove hardcoded window manager selection list
Enhancement, remove hardcoded window manager selection list
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: switchdesk (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-29 12:11 EST by Chad Johnson
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-22 09:21:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Same patch as mentioned in original description (710 bytes, patch)
2005-11-29 12:13 EST, Chad Johnson
no flags Details | Diff

  None (edit)
Description Chad Johnson 2005-11-29 12:11:02 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8) Gecko/20051111 Firefox/1.5

Description of problem:
The following patch extends switchdesk so that it can support any window manager that chooses to register support for itself with switchdesk.




--- switchdesk-helper.orig	2005-11-28 22:03:18.000000000 -0600
+++ switchdesk-helper	2005-11-28 23:07:19.000000000 -0600
@@ -39,6 +39,7 @@
 fi
 
 DESKTOP=`echo $1 |tr a-z A-Z`
+DESKTOPLC=`echo $1 |tr A-Z a-z`
 case $DESKTOP in
     KDE|KDE2)
         [ ! -x /usr/bin/startkde ] && NotFound KDE
@@ -89,8 +90,14 @@
         DNAME="System defaults"
         ;;
     *)
-        echo "Unknown desktop requested: $1"
-        exit 1
+        TESTXCLIENTS="$DATADIR/Xclients.$DESKTOPLC"
+        if [ -x "$TESTXCLIENTS" ]; then
+          DNAME="$DESKTOPLC"
+          NEW_XCLIENTS="$TESTXCLIENTS"
+        else
+          echo "Unknown desktop requested: $1"
+          exit 1
+        fi
         ;;
 esac

Version-Release number of selected component (if applicable):
switchdesk-4.0.6-3

How reproducible:
Always

Steps to Reproduce:
1.
2.
3.
  

Additional info:
Comment 1 Chad Johnson 2005-11-29 12:13:13 EST
Created attachment 121597 [details]
Same patch as mentioned in original description
Comment 2 Christian Iseli 2007-01-22 05:14:06 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 3 Ngo Than 2007-01-22 09:21:10 EST
it's fixed in switchdesk-4.0.8-7, which should be available in rawhide soon.
Thanks for you report.

Note You need to log in before you can comment on or make changes to this bug.